﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ViewModel pageData;

        public MainWindow()
        {
            pageData = new ViewModel();
            InitializeComponent();
            this.DataContext = pageData;
        }


        private void BtnCreateData_OnClick(object sender, RoutedEventArgs e)
        {
            var myTask = Task.Factory.StartNew(() => pageData.CreateTable(9, 9));
//            myTask.Start();
        }

        private void BtnSelectAll_OnClick(object sender, EventArgs e)
        {
            foreach (var record in Xamdatagridgeneral.Records)
            {
                if (record.RecordType == RecordType.DataRecord)
                {
                    var dataRecord = (DataRecord)record;
                    dataRecord.IsSelected = true;

                }
            }
        }
    }
}
